Name:          efivar
Version:       34
Release:       1mamba
Summary:       Tools and library to manipulate EFI variables
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/vathpela/efivar
## GITSOURCE https://github.com/vathpela/efivar.git 0.14
Source:        https://github.com/rhinstaller/efivar.git/%{version}/efivar-%{version}.tar.bz2
#Source:        https://github.com/vathpela/efivar.git/%{version}/efivar-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpopt-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Tools and library to manipulate EFI variables.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
# Disable icecc
export PATH=%{_bindir}:$PATH
%make \
   libdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   libdir=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/efivar
#%{_bindir}/efivar-static
%{_mandir}/man1/efivar.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libefivar.so.*
%{_libdir}/libefiboot.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/efivar
%{_includedir}/efivar/efi*.h
%{_libdir}/libefivar.so
%{_libdir}/libefiboot.so
%{_libdir}/pkgconfig/efiboot.pc
%{_libdir}/pkgconfig/efivar.pc
%{_mandir}/man3/efi_*.3*

%changelog
* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 34-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 32-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 31-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 28-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 27-1mamba
- update to 27

* Sun Aug 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 26-1mamba
- update to 26

* Thu Nov 26 2015 Automatic Build System <autodist@mambasoft.it> 0.21-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 0.20-1mamba
- automatic version update by autodist

* Wed Nov 05 2014 Automatic Build System <autodist@mambasoft.it> 0.15-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14-1mamba
- package created using the webbuild interface
